LibreOffice: XTransactionListener Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XTransactionListener Interface Referencepublished

makes it possible to receive events when a transacted object is committed or reverted. More...

`import"XTransactionListener.idl";`

Inheritance diagram for XTransactionListener:

## Public Member Functions
void | preCommit ([in] com::sun::star::lang::EventObject aEvent) raises ( ::com::sun::star::uno::Exception )
| is called just before the object is committed. More...
void | commited ([in] com::sun::star::lang::EventObject aEvent)
| is called after the object is committed. More...
void | preRevert ([in] com::sun::star::lang::EventObject aEvent) raises ( ::com::sun::star::uno::Exception )
| is called just before the object is reverted. More...
void | reverted ([in] com::sun::star::lang::EventObject aEvent)
| is called after the object is reverted. More...
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to receive events when a transacted object is committed or reverted.

## Member Function Documentation

void commited | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is called after the object is committed.

void preCommit | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |
raises | ( | ::com::sun::star::uno::Exception
| ) |  |

is called just before the object is committed.

void preRevert | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |
raises | ( | ::com::sun::star::uno::Exception
| ) |  |

is called just before the object is reverted.

void reverted | ( | [in] com::sun::star::lang::EventObject | aEvent | ) |

is called after the object is reverted.

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XTransactionListener.idl